"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeprecateActivityTypeInput_1 = require("../shapes/DeprecateActivityTypeInput");
const DeprecateActivityTypeOutput_1 = require("../shapes/DeprecateActivityTypeOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const TypeDeprecatedFault_1 = require("../shapes/TypeDeprecatedFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeprecateActivityType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeprecateActivityType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeprecateActivityTypeInput_1.DeprecateActivityTypeInput
    },
    output: {
        shape: DeprecateActivityTypeOutput_1.DeprecateActivityTypeOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: TypeDeprecatedFault_1.TypeDeprecatedFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=DeprecateActivityType.js.map