"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RecordActivityTaskHeartbeatInput_1 = require("../shapes/RecordActivityTaskHeartbeatInput");
const RecordActivityTaskHeartbeatOutput_1 = require("../shapes/RecordActivityTaskHeartbeatOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RecordActivityTaskHeartbeat = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RecordActivityTaskHeartbeat",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RecordActivityTaskHeartbeatInput_1.RecordActivityTaskHeartbeatInput
    },
    output: {
        shape: RecordActivityTaskHeartbeatOutput_1.RecordActivityTaskHeartbeatOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=RecordActivityTaskHeartbeat.js.map