"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _WorkflowExecution_1 = require("./_WorkflowExecution");
const _WorkflowType_1 = require("./_WorkflowType");
exports._ChildWorkflowExecutionCompletedEventAttributes = {
    type: "structure",
    required: [
        "workflowExecution",
        "workflowType",
        "initiatedEventId",
        "startedEventId"
    ],
    members: {
        workflowExecution: {
            shape: _WorkflowExecution_1._WorkflowExecution
        },
        workflowType: {
            shape: _WorkflowType_1._WorkflowType
        },
        result: {
            shape: {
                type: "string"
            }
        },
        initiatedEventId: {
            shape: {
                type: "integer"
            }
        },
        startedEventId: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_ChildWorkflowExecutionCompletedEventAttributes.js.map