"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RespondActivityTaskCanceledInput_1 = require("../shapes/RespondActivityTaskCanceledInput");
const RespondActivityTaskCanceledOutput_1 = require("../shapes/RespondActivityTaskCanceledOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RespondActivityTaskCanceled = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RespondActivityTaskCanceled",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RespondActivityTaskCanceledInput_1.RespondActivityTaskCanceledInput
    },
    output: {
        shape: RespondActivityTaskCanceledOutput_1.RespondActivityTaskCanceledOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=RespondActivityTaskCanceled.js.map